env.RECIPETABS = GLOBAL.RECIPETABS 
env.TECH = GLOBAL.TECH
TUNING.STACK_SIZE_SMALLITEM = 40
TUNING.STACK_SIZE_MEDITEM = 40
TUNING.STACK_SIZE_LARGEITEM = 40
TUNING.GRASSGEKKO_MORPH_CHANCE = 0
TUNING.PERISH_FRIDGE_MULT = 0.2
PrefabFiles = {
    "mjolnir",	
}
env.STRINGS = GLOBAL.STRINGS -- 预设置
STRINGS.NAMES.NONEMJOLNIR = "雷神之锤"
STRINGS.NAMES.REDMJOLNIR = "雷神之锤·红"
STRINGS.NAMES.BLUEMJOLNIR = "雷神之锤·蓝"
STRINGS.NAMES.GREENMJOLNIR = "雷神之锤·绿"
STRINGS.NAMES.PURPLEMJOLNIR = "雷神之锤·紫"
STRINGS.NAMES.ORANGEMJOLNIR = "雷神之锤·橙"
STRINGS.NAMES.YELLOWMJOLNIR = "雷神之锤·黄"

STRINGS.NAMES.REDMJOLNIR_BUILD = "灯锤·红"
STRINGS.NAMES.BLUEMJOLNIR_BUILD = "灯锤·蓝"
STRINGS.NAMES.GREENMJOLNIR_BUILD = "灯锤·绿"
STRINGS.NAMES.PURPLEMJOLNIR_BUILD = "灯锤·紫"
STRINGS.NAMES.ORANGEMJOLNIR_BUILD = "灯锤·橙"
STRINGS.NAMES.YELLOWMJOLNIR_BUILD = "灯锤·黄"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.NONEMJOLNIR = "蕴含着神秘的力量！" -- 物体的检查描述
STRINGS.RECIPE_DESC.NONEMJOLNIR = "蕴含着神秘的力量！" -- 物体的制作栏描述

Assets = {	
	Asset("IMAGE", "images/inventoryimages/redmjolnir.tex"),
    Asset("ATLAS", "images/inventoryimages/redmjolnir.xml"),
	
	Asset("ANIM",  "anim/mjolnirs.zip"),
	Asset("ANIM",  "anim/swap_mjolnirs.zip"),
	Asset("ANIM",  "anim/mjolnir_builds.zip"),
}

local colour ={
	"none",
	"red",
	"blue",
	"green",
	"purple",
	"orange",
	"yellow",
}

function AddAssets(...)
	for _,v in ipairs({...})do 
	table.insert(Assets, v)
	end
end

for k,v in pairs(colour) do 
	AddAssets(
		Asset("IMAGE", "images/inventoryimages/"..v.."mjolnir.tex"),
		Asset("ATLAS", "images/inventoryimages/"..v.."mjolnir.xml"),
		AddMinimapAtlas("images/inventoryimages/"..v.."mjolnir.xml")
	) 
end

local function quickpick(inst)
	if inst.components.pickable then
		inst.components.pickable.quickpick = true
	end
end

AddMinimapAtlas("images/map_icons/mjolnir.xml")
AddRecipe("nonemjolnir", {Ingredient("moonrockcrater", 1), Ingredient("livinglog", 2), Ingredient("coontail", 1)}, RECIPETABS.WAR, TECH.SCIENCE_TWO, nil, nil, nil, nil, nil,"images/inventoryimages/nonemjolnir.xml")

AddPrefabPostInit("sapling", quickpick)
AddPrefabPostInit("grass", quickpick)
AddPrefabPostInit("berrybush", quickpick)
AddPrefabPostInit("berrybush2", quickpick)
AddPrefabPostInit("berrybush_juicy", quickpick)






